Summary:    New Zhuyin engine based on libzhuyin for IBus
Name:       ibus-libzhuyin
Version:    1.10.1
Release:    4%{?dist}
License:    GPLv2+
URL:        https://github.com/libzhuyin/ibus-libzhuyin
Source0:    http://downloads.sourceforge.net/libzhuyin/ibus-libzhuyin/%{name}-%{version}.tar.gz

BuildRequires: gcc-c++ gettext-devel intltool libtool pkgconfig
BuildRequires: sqlite-devel ibus-devel libpinyin-devel python3-devel libpinyin-tools make
Requires:   ibus
Provides:   libzhuyin-data = 1.1.2

%description
It includes a Chinese Zhuyin (Bopomofo) input method based on libzhuyin for IBus.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
    --disable-static \
    --disable-boost \
    --with-python=python3 \
    %{nil}

%make_build

%install
%make_install
%py_byte_compile %{python3} %{buildroot}%{_datadir}/ibus-libzhuyin/setup
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README ChangeLog INSTALL NEWS
%{_libexecdir}/ibus-engine-libzhuyin
%{_libexecdir}/ibus-setup-libzhuyin
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/applications/ibus-setup-libzhuyin.desktop
%{_datadir}/ibus-libzhuyin/setup
%dir %{_datadir}/ibus-libzhuyin
%{_datadir}/ibus/component/*
%{_datadir}/ibus-libzhuyin/icons
%{_datadir}/ibus-libzhuyin/*symbol.txt
%{_libdir}/ibus-libzhuyin/

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 13 2023 Shuo Wang <abushwang@tencent.com> - 1.10.1-1
- initial build
